Subject: bug#52400: [PATCH] Don't generate separate autoload file for htmlfontify.el

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Dec 2021 15:37:19 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 10 Dec 2021 13:32:51 +0000
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I wouldn't touch these issues with a 3-mile pole.  They are fragile,
> > and once they work, having an extra file with 3 definitions is a price
> > I take every day.  It just isn't worth the effort to awaken these
> > sleeping dogs.
> 
> What are the risks in a case like this?

That the build breaks.  Two possible variants of breakage:

  . the autoloads aren't updated when they should be
  . the rule for updating the autoloads is executedevery time you say
    "make", even if there was no change anywhere in Emacs

> It seems to me that they are low, in the sense that if we run into
> any problems we can just revert it and live happily ever after.

I say why take the risks, however low, if the problem is not serious
enough?

> The main benefit for me is just a general reduction of complexity, but
> admittedly it is small.

Exactly.